For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.genai.create_duplicate_scenario_set(
scenario_set_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"scenario_set_uuid": "123e4567-e89b-12d3-a456-426614174000",
},
)
Returns JSONRaises HttpResponseError
Description
To duplicate a scenario set, send a POST request to /v2/gen-ai/scenario_sets/{scenario_set_uuid}/duplicate. The source set must be ready. The new set is named {original name} duplicate and contains a copy of the source scenarios.
Parameters
scenario_set_uuid string required
UUID of the scenario set to duplicate.
scenario_set_uuid string optional
Example: 123e4567-e89b-12d3-a456-426614174000
UUID of the scenario set to duplicate.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
req = {
"scenario_set_uuid": "123e4567-e89b-12d3-a456-426614174000"
}
resp = client.genai.create_duplicate_scenario_set(scenario_set_uuid="\"123e4567-e89b-12d3-a456-426614174000\"", body=req)
Response Example
Show Response Example
{
"scenario_set": {
"bucket_name": "example name",
"bucket_region": "example string",
"created_at": "2023-01-01T00:00:00Z",
"deleted_at": "2023-01-01T00:00:00Z",
"description": "example string",
"failure_reason": "example string",
"generator_model_uuid": "123e4567-e89b-12d3-a456-426614174000",
"library_scenario_uuid": "123e4567-e89b-12d3-a456-426614174000",
"name": "example name",
"scenario_count": 123,
"scenario_set_uuid": "123e4567-e89b-12d3-a456-426614174000",
"source_export_id": "123e4567-e89b-12d3-a456-426614174000",
"source_goal_description": "example string",
"source_kind": "SCENARIO_SET_SOURCE_KIND_UNSPECIFIED",
"spaces_key": "example string",
"status": "SCENARIO_SET_STATUS_UNSPECIFIED",
"updated_at": "2023-01-01T00:00:00Z",
"workflow_uuid": "123e4567-e89b-12d3-a456-426614174000"
}
}
See /v2/gen-ai/scenario_sets/{scenario_set_uuid}/duplicate in the API reference for additional detail on responses, headers, parameters, and more.